package de.ivu.elect.presentation.veranstaltung.action;

import javax.inject.Named;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.veranstaltung.entity.Teilnahme;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;
import de.ivu.elect.presentation.veranstaltung.TeilnahmeEditView;

@Named(TeilnahmeEditAction.COMPONENT_NAME)
public class TeilnahmeEditAction extends AbstractTeilnahmeAction {
  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "teilnahmeEditAction";

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.TEILNAHME_EDIT;
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return getEinsehenGebietSecurity();
  }

  @Override
  protected String doIt(Teilnahme entity) {
    conversationSelect.setEntity(entity);
   return TeilnahmeEditView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "entity.edit.action.edit";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconEdit();
  }

}

